/*
@Goto NoRexx

 This script installs the FileID Studio folder and contents on the desktop.
 
*/

Say "Creating FileID Studio folder on WPS..."

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

Fisdir=Directory()
ObjMode="Replace"
rc=0

/* The Folder */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "FileID Studio WideBeta 2"
SetupString = "OBJECTID=<FISFOLD>;ICONFILE="Fisdir"\FISFOLD.ICO;ICONNFILE=1,"Fisdir"\FISFOLD2.ICO;BACKGROUND="Fisdir"\FISBG.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* The Programs in the folder */
ObjMode="UpDate"
Class = "WPProgram"
Location = "<FISFOLD>"

Title = "What's new in this release"
SetupString = "OBJECTID=<WHATSNEW>;EXENAME=E.EXE;PARAMETERS="Fisdir"\WHATSNEW;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,Objmode)<>1)

Title = "Release Notes"
SetupString = "OBJECTID=<RELNOTES>;EXENAME=E.EXE;PARAMETERS="Fisdir"\RELNOTES;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,Objmode)<>1)

Title = "FileID Studio Documentation"
SetupString = "OBJECTID=<FISDOC>;EXENAME=VIEW.EXE;PARAMETERS="Fisdir"\fis.inf;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,Objmode)<>1)

Title = "Register your FIS"
SetupString = "OBJECTID=<REGFIS>;EXENAME="Fisdir"\REGISTER.EXE;STARTUPDIR="Fisdir";PROGTYPE=WINDOWABLEVIO;NOAUTOCLOSE=YES;MINIMIZED=NO;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

Title = "FileID Studio Config"
SetupString = "OBJECTID=<FISCFG>;EXENAME="Fisdir"\FISCFG.EXE;STARTUPDIR="Fisdir";"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,Objmode)<>1)

Title = "FileID Studio"
SetupString = "OBJECTID=<FIS>;EXENAME="Fisdir"\FIS.EXE;STARTUPDIR="Fisdir";PROGTYPE=WINDOWABLEVIO;NOAUTOCLOSE=YES;MINIMIZED=NO;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Open folder */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "FileID Studio"
SetupString = "OBJECTID=<FISFOLD>;OPEN=Default;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,Objmode)<>1)

Say
if rc = 0 then Say "FileID Studio folder created without any problems."
          else Say "Detected "RC" problem(s) during wps installation."
Exit;


:NoRexx
@Echo Off
Echo This script requires REXX. Please install REXX-support and try again.

